port: 7890
allow-lan: true
mode: rule
log-level: info
unified-delay: true
dns:
  enable: true 
  listen: "0.0.0.0:1053"
  ipv6: true
  prefer-h3: false
  respect-rules: true
  use-system-hosts: false
  cache-algorithm: "arc"
  enhanced-mode: "fake-ip"
  fake-ip-range: "198.18.0.1/16"
  fake-ip-filter:
    - "+.lan"
    - "+.local"
    - "+.msftconnecttest.com"
    - "+.msftncsi.com"
    - "localhost.ptlogin2.qq.com"
    - "localhost.sec.qq.com"
    - "+.in-addr.arpa"
    - "+.ip6.arpa"
    - "time.*.com"
    - "time.*.gov"
    - "pool.ntp.org"
    - "localhost.work.weixin.qq.com"
  default-nameserver: ["223.5.5.5", "1.2.4.8"]
  nameserver:
    - "https://208.67.222.222/dns-query"
    - "https://1.1.1.1/dns-query"
    - "https://8.8.4.4/dns-query"
  proxy-server-nameserver:
    - "https://223.5.5.5/dns-query"
    - "https://doh.pub/dns-query"
  nameserver-policy:
    "geosite:private,cn":
      - "https://223.5.5.5/dns-query"
      - "https://doh.pub/dns-query"

proxies:
- name: vless-reality-vision-instance-20260318-220153               
  type: vless
  server: a.guoguoguo.icu                           
  port: 30025                                
  uuid: 91beba5c-1726-4ada-bc76-3537b24b444e   
  network: tcp
  udp: true
  tls: true
  flow: xtls-rprx-vision
  servername: apple.com                 
  reality-opts: 
    public-key: XzPqyTisJgX6z9ee1FoIuBQD6nuf496Rq9z5jrp5SDg    
    short-id: c93851de                      
  client-fingerprint: chrome                  

- name: vmess-ws-instance-20260318-220153                         
  type: vmess
  server: b.guoguoguo.icu                        
  port: 8080                                     
  uuid: 91beba5c-1726-4ada-bc76-3537b24b444e       
  alterId: 0
  cipher: auto
  udp: true
  tls: false
  network: ws
  servername: www.bing.com                    
  ws-opts:
    path: "91beba5c-1726-4ada-bc76-3537b24b444e-vm"                             
    headers:
      Host: www.bing.com                     

- name: hysteria2-instance-20260318-220153                            
  type: hysteria2                                      
  server: c.guoguoguo.icu                               
  port: 45262                                
  password: 91beba5c-1726-4ada-bc76-3537b24b444e                          
  alpn:
    - h3
  sni: www.bing.com                               
  skip-cert-verify: true
  fast-open: true

- name: tuic5-instance-20260318-220153                            
  server: d.guoguoguo.icu                      
  port: 20735                                    
  type: tuic
  uuid: 91beba5c-1726-4ada-bc76-3537b24b444e       
  password: 91beba5c-1726-4ada-bc76-3537b24b444e   
  alpn: [h3]
  disable-sni: true
  reduce-rtt: true
  udp-relay-mode: native
  congestion-controller: bbr
  sni: www.bing.com                                
  skip-cert-verify: true

- name: anytls-instance-20260318-220153
  type: anytls
  server: e.guoguoguo.icu
  port: 26909
  password: 91beba5c-1726-4ada-bc76-3537b24b444e
  client-fingerprint: chrome
  udp: true
  idle-session-check-interval: 30
  idle-session-timeout: 30
  sni: www.bing.com
  skip-cert-verify: true

proxy-groups:
- name: 负载均衡
  type: load-balance
  url: https://www.gstatic.com/generate_204
  interval: 300
  strategy: round-robin
  proxies:
    - vless-reality-vision-instance-20260318-220153                              
    - vmess-ws-instance-20260318-220153
    - hysteria2-instance-20260318-220153
    - tuic5-instance-20260318-220153
    - anytls-instance-20260318-220153

- name: 自动选择
  type: url-test
  url: https://www.gstatic.com/generate_204
  interval: 300
  tolerance: 50
  proxies:
    - vless-reality-vision-instance-20260318-220153                              
    - vmess-ws-instance-20260318-220153
    - hysteria2-instance-20260318-220153
    - tuic5-instance-20260318-220153
    - anytls-instance-20260318-220153
    
- name: 🌍选择代理节点
  type: select
  proxies:
    - 负载均衡                                         
    - 自动选择
    - DIRECT
    - vless-reality-vision-instance-20260318-220153                              
    - vmess-ws-instance-20260318-220153
    - hysteria2-instance-20260318-220153
    - tuic5-instance-20260318-220153
    - anytls-instance-20260318-220153
rules:
  - GEOIP,LAN,DIRECT
  - GEOIP,CN,DIRECT
  - MATCH,🌍选择代理节点
